GeoSymAttExpression.ValueExpression (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class GeoSymAttExpression.ValueExpression

    java.lang.Object
      com.bbn.openmap.layer.vpf.GeoSymAttExpression.CompareExpression
          com.bbn.openmap.layer.vpf.GeoSymAttExpression.ValueExpression

All Implemented Interfaces:
  GeoSymAttExpression.Expression

Direct Known Subclasses:
  GeoSymAttExpression.ECDISExpression

Enclosing class:
  GeoSymAttExpression

    public static class GeoSymAttExpression.ValueExpression

extends GeoSymAttExpression.CompareExpression

The ValueExpression is a comparison of a FCI value to a numerical value.

Author:
  dietrick

Field Summary

Fields inherited from class com.bbn.openmap.layer.vpf.GeoSymAttExpression.CompareExpression
`colIndex, colName, fci, op`

Constructor Summary
`GeoSymAttExpression.ValueExpression(java.lang.String colName, double val, int op)`

Method Summary
`boolean` | `evaluate(FeatureClassInfo fci, int row, java.lang.StringBuffer reasoning)`
`boolean` | `evaluate(FeatureClassInfo fci, java.util.List<java.lang.Object> row, java.lang.StringBuffer reasoning)`
`java.lang.String` | `toString()`

Methods inherited from class com.bbn.openmap.layer.vpf.GeoSymAttExpression.CompareExpression
`setIndexes, test`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeoSymAttExpression.ValueExpression

    public GeoSymAttExpression.ValueExpression(java.lang.String colName,
                                               double val,
                                               int op)

Method Detail

### evaluate

    public boolean evaluate(FeatureClassInfo fci,
                            int row,
                            java.lang.StringBuffer reasoning)

### evaluate

    public boolean evaluate(FeatureClassInfo fci,
                            java.util.List<java.lang.Object> row,
                            java.lang.StringBuffer reasoning)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details